Debian Bug report logs - #265244
manpages-dev: htonl/ntohl belong in arpa/inet.h

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: <herbert@gondor.apana.org.au>

Date: Thu, 12 Aug 2004 11:18:02 UTC

Severity: normal

Tags: fixed-upstream, patch

Found in version 1.67-1

Fixed in version 2.12-1

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#265244; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to <herbert@gondor.apana.org.au>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: <herbert@gondor.apana.org.au>
To: submit@bugs.debian.org
Subject: manpages-dev: htonl/ntohl belong in arpa/inet.h
Date: Thu, 12 Aug 2004 21:08:02 +1000
Package: manpages-dev
Version: 1.67-1
Severity: normal

According to POSIX, these functions are declared in arpa/inet.h.  So
the manual page should document that file instead of netinet/in.h.

-- System Information
Debian Release: testing/unstable
Kernel Version: Linux gondolin 2.4.26-1-686-smp #1 SMP Sat May 1 19:17:11 EST 2004 i686 GNU/Linux

Versions of the packages manpages-dev depends on:
ii  manpages       1.67-1         Manual pages about using a GNU/Linux system



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#265244; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to sandals@crustytoothpaste.ath.cx (Brian M. Carlson):
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 265244@bugs.debian.org (full text, mbox):

From: sandals@crustytoothpaste.ath.cx (Brian M. Carlson)
To: 265244@bugs.debian.org, control@bugs.debian.org
Subject: Patch for ntohl.3
Date: Thu, 18 Nov 2004 20:35:42 +0000
[Message part 1 (text/plain, inline)]
tags 265244 +patch
thanks, control, and have a nice day
[ntohl.3.diff (text/plain, inline)]
--- ntohl.3.orig	2004-11-18 20:23:18 +0000
+++ ntohl.3	2004-11-18 20:26:50 +0000
@@ -26,6 +26,7 @@
 .\"     386BSD man pages
 .\" Modified Sat Jul 24 21:29:05 1993 by Rik Faith (faith@cs.unc.edu)
 .\" Modified Thu Jul 26 14:06:20 2001 by Andries Brouwer (aeb@cwi.nl)
+.\" Modified Thu Nov 18 20:25:43 2004 by Brian M. Carlson
 .\"
 .TH BYTEORDER 3  1993-04-15 "BSD" "Linux Programmer's Manual"
 .SH NAME
@@ -33,7 +34,7 @@
 byte order
 .SH SYNOPSIS
 .nf
-.B #include <netinet/in.h>
+.B #include <arpa/inet.h>
 .sp
 .BI "uint32_t htonl(uint32_t " hostlong );
 .sp
@@ -60,7 +61,7 @@
 whereas the network byte order, as used on the Internet, is Most 
 Significant Byte first.
 .SH "CONFORMING TO"
-BSD 4.3
+BSD 4.3, POSIX 1003.1-2001
 .SH "SEE ALSO"
 .BR gethostbyname (3),
 .BR getservent (3)

Tags added: patch Request was from sandals@crustytoothpaste.ath.cx (Brian M. Carlson) to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#265244; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #17 received at 265244@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: 265244@bugs.debian.org
Cc: herbert@gondor.apana.org.au, sandals@crustytoothpaste.ath.cx, control@bugs.debian.org
Subject: Re: manpages-dev: htonl/ntohl belong in arpa/inet.h
Date: Thu, 27 Oct 2005 11:44:17 +0200 (MEST)
tags 265244 fixed-upstream
thanks

As suggested I have changed <netinet/in.h> to <arpa/inet.h>.

Thanks!

Fix will be in man-pages-2.12.

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  Grab the latest
tarball at ftp://ftp.win.tue.nl/pub/linux-local/manpages/
and grep the source files for 'FIXME'.



Tags added: fixed-upstream Request was from "Michael Kerrisk" <mtk-manpages@gmx.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to <herbert@gondor.apana.org.au>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 265244-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 265244-close@bugs.debian.org
Subject: fixed
Date: Tue, 13 Dec 2005 09:29:56 +0100
Source: manpages
Version: 2.12-1

-- 
We all know Linux is great... it does infinite loops in 5 seconds.
        -- Linus Torvalds

Please always Cc to me when replying to me on the lists.



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 10:05:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:12:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.